package cn.com.ty.lift.business.annualinspection.dto;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;

/**
 * @author wcz
 * @date 2019/12/10
 * @description
 */
@Data
public class InspectionRequest extends BaseRequestModel{

    private Long id;
    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 维保公司id
     */
    private Long mtCompanyId;

    /**
     * 项目id
     */
    private Long projectId;

    /**
     * 维保工id
     */
    private Long workerId;

    /**
     *  搜索条件 匹配电梯注册编码
     */
    private String info;

    /**
     * 年检阶段
     */
    private Integer stepName;

    /**
     * 年检完成状态（0 待完成；1 已完成；2 超期）
     */
    private int status;

}
