package cn.com.ty.lift.business.maintenance.dao.mapper;

import cn.com.ty.lift.business.maintenance.dao.entity.MaintenancePlan;
import cn.com.ty.lift.business.maintenance.dao.entity.model.MaintenancePlanRequest;
import cn.com.ty.lift.business.maintenance.dao.entity.model.MaintenancePlanResponse;
import cn.com.ty.lift.business.maintenance.dao.entity.model.UpdateMaintenancePlanReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * MyBatis Mapper 接口 - 表：maintenance_plan
 * @author bieao
 * @since 2019-12-12 11:27:30
 */
public interface MaintenancePlanMapper extends BaseMapper<MaintenancePlan> {

    List<MaintenancePlan> findIdList(@Param("request") UpdateMaintenancePlanReq request);

    IPage<MaintenancePlanResponse> findByCondition(IPage page, @Param("request") MaintenancePlanRequest request);
}