package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserApplication;
import cn.com.ty.lift.system.user.dao.entity.model.UserApplyRequest;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户申请表 服务类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-13
 */
public interface IUserApplicationService extends IService<UserApplication> {

    /**
     * @param
     * @return
     * @description 申请加入团队
     * @date 2019-12-13 16:42
     */
    RestResponse applyTeam(UserApplyRequest userApplyRequest);

    /**
     * @param
     * @return
     * @description 团队成员审核通过
     * @date 2019-12-13 17:19
     */
    RestResponse teamPass(UserApplyRequest userApplyRequest);

    /**
     * @param
     * @return
     * @description 审核不通过
     * @date 2019-12-13 17:30
     */
    RestResponse teamFail(UserApplyRequest userApplyRequest);

    /**
     * @param
     * @return
     * @description 获取用户申请列表
     * @date 2019-12-17 22:38
     */
    RestResponse applyList(UserApplyRequest userApplyRequest);
}
