package cn.com.ty.lift.business.project.dao.mapper;

import cn.com.ty.lift.business.project.dao.entity.ProjectUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author bieao
 * @date 2019/12/09
 * @description 项目关系人数据层
 */
public interface ProjectUserMapper extends BaseMapper<ProjectUser> {

    List<ProjectUser> findUserListById(@Param("projectId") Long projectId);

    @Override
    int insert(ProjectUser entity);
}